package com.pcloud.book.weixinclock.dao;

import com.pcloud.book.weixinclock.entity.WeixinClockPrizeRecord;
import com.pcloud.common.core.dao.BaseDao;

import java.util.List;

public interface WeixinClockPrizeRecordDao extends BaseDao<WeixinClockPrizeRecord> {

    int deleteByWxUserId(String wxUserId);

    WeixinClockPrizeRecord selectByWxUserIdAndAppId(String wxUserId, Long appId);

    void updatePrizeTime(String wxUserId, Long clockPrizeId, Integer grantNum);

    List<WeixinClockPrizeRecord> getAllPrizeList(String wxUserId);
}